Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.model
Enum BrowseFlag

    java.lang.Object
      java.lang.Enum<BrowseFlag>
          org.teleal.cling.support.model.BrowseFlag

All Implemented Interfaces:
  Serializable, Comparable<BrowseFlag>

    public enum BrowseFlag

extends Enum<BrowseFlag>

Author:
  Alessio Gaeta, Christian Bauer

Enum Constant Summary
`DIRECT_CHILDREN`
`METADATA`

Method Summary
`String` | `toString()`
`static BrowseFlag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BrowseFlag` | `valueOrNullOf(String s)`
`static BrowseFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### METADATA

    public static final BrowseFlag METADATA

### DIRECT_CHILDREN

    public static final BrowseFlag DIRECT_CHILDREN

Method Detail

### values

    public static BrowseFlag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BrowseFlag c : BrowseFlag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BrowseFlag valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<BrowseFlag>`

### valueOrNullOf

    public static BrowseFlag valueOrNullOf(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.